import glob
from flask import Flask, jsonify
from syncloud.ci.config import get_config

app = Flask(__name__)

# @app.route('/<path:filename>')
# def static_file(filename):
#     return send_from_directory(static_files_path, filename)


@app.route("/jobs", methods=["GET"])
def jobs():
    config = get_config()
    artifact_dir = config.artifacts_dir()
    jobs_list = glob.glob("{0}/*.log".format(artifact_dir))
    return jsonify(jobs_list), 200

if __name__ == '__main__':
    app.run(debug=True, port=5001)